module Core.SQLite where

import           Core.Configuration
import           Core.Types

import           Data.ByteString                as B
import           Database.SQLite.Simple
import           Database.SQLite.Simple.FromRow

import qualified Data.Text                      as T

-- Set up SQLite database table when Purr starts if it doesn't already exist
main :: IO ()
main = do
  conn <- open dbPath
  execute_ conn
    "CREATE TABLE IF NOT EXISTS pws\
    \ (link TEXT PRIMARY KEY,\
    \ secret TEXT,\
    \ nonce TEXT,\
    \ date DATETIME DEFAULT CURRENT_TIMESTAMP,\
    \ life INT,\
    \ views INT,\
    \ maxViews INT)"
  close conn
