module Feature.Generation.Links ( genLink ) where

import           Core.Types
import           Data.List                 (singleton)
import           Feature.Generation.Shared (rChar, rIndex, validChars)

{- Generates a string containing randomly generated and capitalized characters.
   The length is determined by the LINKLENGTH environment variable. -}
genLink :: Int -> IO GenLink
genLink linkLength = genLink' linkLength (return "")
  where
    genLink' 0 cs = GenLink' <$> cs
    genLink' d cs = genLink' (d - 1) (cs <> (singleton <$> rChar))
